[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

pango1.0: aclocal.m4 is outdated WRT libtool (was Re: Shared libraries, dependencies and symbols files)

Package: pango1.0
Version: 1.18.2-1


On Tue, Oct 02, 2007 at 10:57:08AM +0200, Michael Banck wrote:
> > Can some hurd people check and explain me why hurd-i386 libs export
> > private symbols ?

Turns out it's because pango's Makefile uses libtool's export-symbols
feature, but pango's copy of the libtool.m4 code is outdated, so
archive_expsym_cmds was different on hurd-i386 and i386, something
which had been fixed by Samuel Thibault for libtool-1.5.23.

So, running autoreconf with the current libtool package installed fixed
this for me, filing this on pango1.0.
> > This difference is undesirable and complicates somewhat the work of
> > maintainers who will have to deal with arch-specific differences when
> > there shouldn't be any.
> Agreed.  Would it be easy to have a list of those libraries which differ
> on hurd-i386, unless it's almost every lib we're talking about anyway?
> I checked a couple, and it seems glib2, gtk2, and gnome-vfs2 seem to
> have various issues.

Probably some if not almost all of those have the same issue, so if you
could provide us with a list, we can file bugs on them.



Reply to: